/***************************************************************************************\

Module Name:    MtxDbg.h

Description:    Output to debug window.

References:     None.

    Copyright (c) 2000, Matrox Graphics Inc.
    All Rights Reserved.

\***************************************************************************************/

#ifndef INC_MTXDBG_H
#define INC_MTXDBG_H

/* -------------------------------------------------------------------------------------- */
/*                               H E A D E R   F I L E S */
/* -------------------------------------------------------------------------------------- */

#include "MtxType.h"

/* -------------------------------------------------------------------------------------- */
/*                        C O N S T A N T S   A N D   T Y P E S */
/* -------------------------------------------------------------------------------------- */

typedef void* DEBUGHANDLE;

/* -------------------------------------------------------------------------------------- */
/*                 G L O B A L   V A R I A B L E   R E F E R E N C E S */
/* -------------------------------------------------------------------------------------- */

/* -------------------------------------------------------------------------------------- */
/*               I N T E R F A C E   F U N C T I O N   P R O T O T Y P E S */
/* -------------------------------------------------------------------------------------- */

EXTERN_C void DebugPrint(
    const char* pszFormat, 
    ...);

EXTERN_C DEBUGHANDLE DebugOpenDefault(void);

EXTERN_C DEBUGHANDLE DebugOpenMemory(
    void* pszBuffer);

EXTERN_C DEBUGHANDLE DebugOpenFile(
    const char* pszFileName);

EXTERN_C DEBUGHANDLE DebugOpenCallback(
    void* pfnPrint,
    void* pvReserved);

EXTERN_C void DebugClose(
    DEBUGHANDLE poHandler);

EXTERN_C void dbgOutput(
        const char *pszFormat,
        ...);

EXTERN_C void dbgOutputToString(
        char *pszOutputStr,
        const char *pszFormat,
        ...);

EXTERN_C void dbgOutputVA(
        const char *pszFormat, 
        va_list va);

EXTERN_C void dbgOutputToStringVA(
        char *pszOutputStr,
        const char *pszFormat, 
        va_list va);

/* -------------------------------------------------------------------------------------- */
/*                           I N L I N E S   A N D   M A C R O S */
/* -------------------------------------------------------------------------------------- */

#endif  /* #ifndef INC_MTXDBG_H */
